task fastp {
    File read1
    File read2
    String sample_id
    String adapter_sequence
    String adapter_sequence_r2
    String docker
    String cluster
    String disk_size
    String trim_adapter

	command <<<
    nt=$(nproc)
    
    ## Trim
    if [ "${trim_adapter}" != 'true' ]; then
    cp ${read1} ${sample_id}_R1.fq.gz
    cp ${read2} ${sample_id}_R2.fq.gz
    else
    fastp --thread $nt --adapter_sequence ${adapter_sequence} --adapter_sequence_r2 ${adapter_sequence_r2} --detect_adapter_for_pe -i ${read1} -I ${read2} -o ${sample_id}_R1.fq.gz -O ${sample_id}_R2.fq.gz -j ${sample_id}.json -h ${sample_id}.html
    fi
   >>>
   
   runtime { 
		docker: docker
		cluster: cluster
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
   }

   output {
      File json = "${sample_id}.json"
      File report = "${sample_id}.html"
      File trim_R1 = "${sample_id}_R1.fq.gz"
      File trim_R2 = "${sample_id}_R2.fq.gz"
   }
}